Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.datascroller
Class HtmlDataScrollerRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.datascroller.HtmlDataScrollerRenderer

public class HtmlDataScrollerRenderer
extends HtmlRenderer

Version:
  $Revision: 320699 $ $Date: 2005-10-13 04:52:21 -0400 (Thu, 13 Oct 2005) $ $Log: HtmlDataScrollerRenderer.java,v $ Revision 1.19 2005/01/04 01:42:23 svieujot Bugfix for last page. Revision 1.18 2005/01/04 00:28:07 svieujot dataScroller, add rowsCountVar, displayedRowsCountVar, firstRowIndexVar and lastRowIndexVar attributes. Revision 1.17 2004/12/18 16:31:21 tomsp fixed issue MYFACES-1 Revision 1.16 2004/10/13 11:50:57 matze renamed packages to org.apache Revision 1.15 2004/09/02 08:57:17 manolito missing setTransient Revision 1.14 2004/08/25 16:02:12 manolito Prevent division by zero in getPageIndex
Author:
  Thomas Spiegl (latest modification by $Author: mbr $)

Field Summary
`protected static java.lang.String` | `PAGE_NAVIGATION`
`static java.lang.String` | `RENDERER_TYPE`

Constructor Summary
`HtmlDataScrollerRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeChildren(javax.faces.context.FacesContext facescontext, javax.faces.component.UIComponent uicomponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected javax.faces.component.html.HtmlCommandLink` | `getLink(javax.faces.context.FacesContext facesContext, HtmlDataScroller scroller, java.lang.String facetName)`
`protected javax.faces.component.html.HtmlCommandLink` | `getLink(javax.faces.context.FacesContext facesContext, HtmlDataScroller scroller, java.lang.String text, int pageIndex)`
`boolean` | `getRendersChildren()`
`void` | `removeVariables(javax.faces.context.FacesContext facescontext, HtmlDataScroller scroller)`
`protected void` | `renderFacet(javax.faces.context.FacesContext facesContext, HtmlDataScroller scroller, javax.faces.component.UIComponent facetComp, java.lang.String facetName)`
`protected void` | `renderPaginator(javax.faces.context.FacesContext facesContext, HtmlDataScroller scroller)`
`protected void` | `renderScroller(javax.faces.context.FacesContext facesContext, HtmlDataScroller scroller)`
`protected void` | `setVariables(javax.faces.context.FacesContext facescontext, HtmlDataScroller scroller)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

### PAGE_NAVIGATION

    protected static final java.lang.String PAGE_NAVIGATION

Constructor Detail

### HtmlDataScrollerRenderer

    public HtmlDataScrollerRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

### setVariables

    protected void setVariables(javax.faces.context.FacesContext facescontext,
                                HtmlDataScroller scroller)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeVariables

    public void removeVariables(javax.faces.context.FacesContext facescontext,
                                HtmlDataScroller scroller)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facescontext,
                               javax.faces.component.UIComponent uicomponent)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderScroller

    protected void renderScroller(javax.faces.context.FacesContext facesContext,
                                  HtmlDataScroller scroller)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderFacet

    protected void renderFacet(javax.faces.context.FacesContext facesContext,
                               HtmlDataScroller scroller,
                               javax.faces.component.UIComponent facetComp,
                               java.lang.String facetName)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderPaginator

    protected void renderPaginator(javax.faces.context.FacesContext facesContext,
                                   HtmlDataScroller scroller)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLink

    protected javax.faces.component.html.HtmlCommandLink getLink(javax.faces.context.FacesContext facesContext,
                                                                 HtmlDataScroller scroller,
                                                                 java.lang.String text,
                                                                 int pageIndex)

### getLink

    protected javax.faces.component.html.HtmlCommandLink getLink(javax.faces.context.FacesContext facesContext,
                                                                 HtmlDataScroller scroller,
                                                                 java.lang.String facetName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD